GWT 2.7.0

## com.google.gwt.dom.client
Class DOMImplStandardBase

    java.lang.Object
      com.google.gwt.dom.client.DOMImpl
          com.google.gwt.dom.client.DOMImplStandard
              com.google.gwt.dom.client.DOMImplStandardBase

Direct Known Subclasses:
  DOMImplIE9, DOMImplWebkit

     class DOMImplStandardBase

extends DOMImplStandard

StandardBase implementation of `DOMImpl`.

Field Summary

Fields inherited from class com.google.gwt.dom.client.DOMImpl
`impl`

Constructor Summary
`DOMImplStandardBase()`

Method Summary
`ButtonElement` | `createButtonElement(Document doc, java.lang.String type)` The type property on a button element is read-only in safari, so we need to set it using setAttribute.
`NativeEvent` | `createKeyCodeEvent(Document doc, java.lang.String type, boolean ctrlKey, boolean altKey, boolean shiftKey, boolean metaKey, int keyCode)`
`NativeEvent` | `createKeyEvent(Document doc, java.lang.String type, boolean canBubble, boolean cancelable, boolean ctrlKey, boolean altKey, boolean shiftKey, boolean metaKey, int keyCode, int charCode)` Deprecated.
`NativeEvent` | `createKeyPressEvent(Document doc, boolean ctrlKey, boolean altKey, boolean shiftKey, boolean metaKey, int charCode)`
`ScriptElement` | `createScriptElement(Document doc, java.lang.String source)` Safari 2 does not support `ScriptElement.setText(String)`.
`EventTarget` | `eventGetCurrentTarget(NativeEvent event)`
`int` | `eventGetMouseWheelVelocityY(NativeEvent evt)`
`int` | `getAbsoluteLeft(Element elem)`
`int` | `getAbsoluteTop(Element elem)`
`int` | `getScrollLeft(Document doc)`
`int` | `getScrollLeft(Element elem)`
`int` | `getScrollTop(Document doc)`
`int` | `getTabIndex(Element elem)`
`protected boolean` | `isRTL(Element elem)`
`void` | `setScrollLeft(Document doc, int left)`
`void` | `setScrollLeft(Element elem, int left)`
`void` | `setScrollTop(Document doc, int top)`

Methods inherited from class com.google.gwt.dom.client.DOMImplStandard
`createHtmlEvent, createInputRadioElement, createMouseEvent, dispatchEvent, eventGetButton, eventGetCharCode, eventGetRelatedTarget, eventGetTarget, eventPreventDefault, eventToString, getInnerText, isOrHasChild, setInnerText`

Methods inherited from class com.google.gwt.dom.client.DOMImpl

`buttonClick, createCheckInputElement, createElement, createInputElement, cssClearOpacity, cssFloatPropertyName, cssSetOpacity, eventGetAltKey, eventGetClientX, eventGetClientY, eventGetCtrlKey, eventGetKeyCode, eventGetMetaKey, eventGetRotation, eventGetScale, eventGetScreenX, eventGetScreenY, eventGetShiftKey, eventGetType, eventSetKeyCode, eventStopPropagation, getAttribute, getBodyOffsetLeft, getBodyOffsetTop, getChangedTouches, getFirstChildElement, getInnerHTML, getNextSiblingElement, getNodeType, getNumericStyleProperty, getParentElement, getPreviousSiblingElement, getStyleProperty, getTagName, getTargetTouches, getTouches, hasAttribute, scrollIntoView, selectAdd, selectClear, selectGetLength, selectGetOptions, selectRemoveOption, setDraggable, toInt32, toString, touchGetClientX, touchGetClientY, touchGetIdentifier, touchGetPageX, touchGetPageY, touchGetScreenX, touchGetScreenY, touchGetTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMImplStandardBase

    DOMImplStandardBase()

Method Detail

### createButtonElement

    public ButtonElement createButtonElement(Document doc,
                                             java.lang.String type)

  The type property on a button element is read-only in safari, so we need to set it using setAttribute.

  Overrides:
    `createButtonElement` in class `DOMImpl`

### createKeyCodeEvent

    public NativeEvent createKeyCodeEvent(Document doc,
                                          java.lang.String type,
                                          boolean ctrlKey,
                                          boolean altKey,
                                          boolean shiftKey,
                                          boolean metaKey,
                                          int keyCode)

  Specified by:
    `createKeyCodeEvent` in class `DOMImpl`

### createKeyEvent

    @Deprecated
    public NativeEvent createKeyEvent(Document doc,
                                                 java.lang.String type,
                                                 boolean canBubble,
                                                 boolean cancelable,
                                                 boolean ctrlKey,
                                                 boolean altKey,
                                                 boolean shiftKey,
                                                 boolean metaKey,
                                                 int keyCode,
                                                 int charCode)

  Deprecated.

  Specified by:
    `createKeyEvent` in class `DOMImpl`

### createKeyPressEvent

    public NativeEvent createKeyPressEvent(Document doc,
                                           boolean ctrlKey,
                                           boolean altKey,
                                           boolean shiftKey,
                                           boolean metaKey,
                                           int charCode)

  Specified by:
    `createKeyPressEvent` in class `DOMImpl`

### createScriptElement

    public ScriptElement createScriptElement(Document doc,
                                             java.lang.String source)

  Safari 2 does not support `ScriptElement.setText(String)`.

  Overrides:
    `createScriptElement` in class `DOMImpl`

### eventGetCurrentTarget

    public EventTarget eventGetCurrentTarget(NativeEvent event)

  Overrides:
    `eventGetCurrentTarget` in class `DOMImpl`

### eventGetMouseWheelVelocityY

    public int eventGetMouseWheelVelocityY(NativeEvent evt)

  Specified by:
    `eventGetMouseWheelVelocityY` in class `DOMImpl`

### getAbsoluteLeft

    public int getAbsoluteLeft(Element elem)

  Overrides:
    `getAbsoluteLeft` in class `DOMImpl`

### getAbsoluteTop

    public int getAbsoluteTop(Element elem)

  Overrides:
    `getAbsoluteTop` in class `DOMImpl`

### getScrollLeft

    public int getScrollLeft(Document doc)

  Overrides:
    `getScrollLeft` in class `DOMImpl`

### getScrollLeft

    public int getScrollLeft(Element elem)

  Overrides:
    `getScrollLeft` in class `DOMImpl`

### getScrollTop

    public int getScrollTop(Document doc)

  Overrides:
    `getScrollTop` in class `DOMImpl`

### getTabIndex

    public int getTabIndex(Element elem)

  Overrides:
    `getTabIndex` in class `DOMImpl`

### setScrollLeft

    public void setScrollLeft(Document doc,
                              int left)

  Overrides:
    `setScrollLeft` in class `DOMImpl`

### setScrollLeft

    public void setScrollLeft(Element elem,
                              int left)

  Overrides:
    `setScrollLeft` in class `DOMImpl`

### setScrollTop

    public void setScrollTop(Document doc,
                             int top)

  Overrides:
    `setScrollTop` in class `DOMImpl`

### isRTL

    protected boolean isRTL(Element elem)

GWT 2.7.0